> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orbital-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List history



## OpenAPI

````yaml /spec.json get /client/history
openapi: 3.0.4
info:
  title: Orbital API
  version: 1.0.0
servers:
  - url: https://api.orbital-systems.com
    description: Production
  - url: https://stage-api.orbital-systems.com
    description: Staging
  - url: https://dev-api.orbital-systems.com
    description: Development
security:
  - apiKeyAuth: []
tags: []
paths:
  /client/history:
    get:
      tags:
        - History.
      summary: List history
      parameters:
        - in: query
          name: fromDate
          schema:
            type: string
          description: From which point in time
        - in: query
          name: toDate
          schema:
            type: string
          description: To which point in time
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  Count:
                    type: integer
                    description: Number of items returned
                  Items:
                    type: array
                    items:
                      $ref: '#/components/schemas/historyResponse'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
        '404':
          description: No history found
          content:
            application/json:
              schema:
                type: object
        '500':
          description: Database error
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    historyResponse:
      type: object
      properties:
        id:
          type: string
        timestamp:
          type: string
        type:
          type: string
        session_type:
          type: string
        shower_id:
          type: string
          format: uuid
        saved_water:
          type: number
        saved_energy:
          type: number
        active_duration:
          type: number
        avg_temperature:
          type: number
        avg_user_temperature:
          type: number
        filter_status:
          type: number
        feedback_rating:
          type: number
        feedback_text:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````